/****************************************************************************

  Header file for template Flat Sate Machine
  based on the Gen2 Events and Services Framework

 ****************************************************************************/

#ifndef DunkButton_H
#define DunkButton_H

// Event Definitions
#include "ES_Configure.h" /* gets us event definitions */
#include "ES_Types.h"     /* gets bool type for returns */

// typedefs for the states
// State definitions for use with the query function
typedef enum
{
  InitDunkButtonPState, DunkButtonIdle, DunkButtonDown, DunkButtonUp
}DunkButtonState_t;

// Public Function Prototypes

bool InitDunkButton(uint8_t Priority);
bool PostDunkButton(ES_Event_t ThisEvent);
ES_Event_t RunDunkButton(ES_Event_t ThisEvent);
DunkButtonState_t QueryDunkButtonState(void);
bool CheckDunkButtonPress(void);

#endif /* FSMTemplate_H */

