/****************************************************************************

  Header file for template service
  based on the Gen 2 Events and Services Framework

 ****************************************************************************/

#ifndef ServLeader_H
#define ServLeader_H

#include <xc.h>
#include "ES_Types.h"
#include "PIC32_SPI_HAL.h"


typedef enum {
   InitPState = 0,
   GameIdle,
   GameStart,   
   Loading,
   Dunking,
   GameEnd
} LeaderState_t;

// Public Function Prototypes
bool InitLeaderService(uint8_t Priority);
bool PostLeaderService(ES_Event_t ThisEvent);
ES_Event_t RunLeaderService(ES_Event_t ThisEvent);
LeaderState_t GetLeaderState(void);
void PrintCmdDesc(uint8_t command);

#endif /* ServLeader_H */

