
/****************************************************************************
 Module
   EyeColor.c

 Revision
   1.0.1

 Description
   This is the file that implements the logic to initialize the eye color pins
 * as digital output and contains function to be called by the main leader to
 * change the eye color.
****************************************************************************/
#include "EyeColor.h"
#include <xc.h>
#include "PIC32_Port_HAL.h"

void InitEyeColors(void){
    PortSetup_ConfigureDigitalOutputs(_Port_A, _Pin_3); // RA3 = blue pin
    PortSetup_ConfigureDigitalOutputs(_Port_A, _Pin_4); // RA4 = red pin
}

void ChangeEyeColor(EyeColor_t color){
    switch(color){
        case RED:
            LATAbits.LATA3 = 0;
            LATAbits.LATA4 = 1;
            break;
        case BLUE:
            LATAbits.LATA3 = 1;
            LATAbits.LATA4 = 0;
    }
}

void TurnOffEyeColor(void){
    LATAbits.LATA3 = 0;
    LATAbits.LATA4 = 0;
}